## synaptiks 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
   find_package(KDE4 REQUIRED)
   include (KDE4Defaults)
   include(MacroOptionalAddSubdirectory)

   add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
   include_directories(${KDE4_INCLUDES})
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

find_package(X11 REQUIRED)
macro_log_feature(X11_Xinput_FOUND "XInput" "XInput protocol support"
    "http://www.x.org/" TRUE)
include_directories(${X11_X11_INCLUDE_PATH})
include_directories(${X11_Xinput_INCLUDE_PATH})

option(WITH_XINPUT2 "Search for XInput2" OFF)

# determine availability of XInput device property API
include(CheckPrototypeExists)
check_prototype_exists(XChangeDeviceProperty X11/extensions/XInput.h
  HAVE_DEVICE_PROPERTIES)
if(WITH_XINPUT2)
  check_prototype_exists(XIChangeProperty X11/extensions/XInput2.h
    HAVE_DEVICE_PROPERTIES_V2)
  # make V2 mandatory
  set(HAVE_DEVICE_PROPERTIES "${HAVE_DEVICE_PROPERTIES_V2}")
endif(WITH_XINPUT2)

# device properties
macro_log_feature(HAVE_DEVICE_PROPERTIES "Device properties"
  "XInput device properties" "http://www.x.org/" TRUE)
macro_log_feature(HAVE_DEVICE_PROPERTIES_V2 "Device properties 2"
  "XInput device properties 2.x" "http://www.x.org/")
macro_bool_to_01(HAVE_DEVICE_PROPERTIES_V2 HAVE_XINPUT2)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config-synaptiks.h.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/config-synaptiks.h")

# notification configuration
install(FILES synaptiks.notifyrc
  DESTINATION "${DATA_INSTALL_DIR}/synaptiks")
# configuration schema
install(FILES synaptiks.kcfg DESTINATION ${KCFG_INSTALL_DIR})

add_subdirectory(applet)
add_subdirectory(daemon)
add_subdirectory(kcmodule)
add_subdirectory(icons)
add_subdirectory(pics)

if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    macro_display_feature_log()
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== applet/CMakeLists.txt ===
set(applet_synaptiks_sources synaptiksapplet.cpp)

kde4_add_ui_files(applet_synaptiks_sources userinterfacepage.ui)

kde4_add_plugin(plasma_applet_synaptiks ${applet_synaptiks_sources})
target_link_libraries(plasma_applet_synaptiks
  ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_applet_synaptiks DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-synaptiks.desktop DESTINATION
  ${SERVICES_INSTALL_DIR})
install(FILES plasma-applet-synaptiks.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== daemon/CMakeLists.txt ===
set(kded_synaptiks_sources
  synaptiksdaemon.cpp
  qxdevice.cpp touchpad.cpp touchpadmanager.cpp
  keyboardmonitor.cpp mousedevicesmonitor.cpp
  touchpadadaptor.cpp)

kde4_add_kcfg_files(kded_synaptiks_sources
  ../synaptiksconfiguration.kcfgc)
qt4_add_dbus_adaptor(kded_synaptiks_sources org.kde.Synaptiks.xml
  synaptiksdaemon.h synaptiks::SynaptiksDaemon)

kde4_add_plugin(kded_synaptiks ${kded_synaptiks_sources})

target_link_libraries(kded_synaptiks
  ${KDE4_KDEUI_LIBS} ${X11_X11_LIB} ${X11_Xinput_LIB})

install(TARGETS kded_synaptiks DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES synaptiks.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES
  org.kde.Synaptiks.xml org.kde.TouchpadManager.xml
  org.kde.MouseDevicesMonitor.xml org.kde.Touchpad.xml
  DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== doc-translations/CMakeLists.txt ===
add_subdirectory( uk_synaptiks/synaptiks )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook
  INSTALL_DESTINATION "${HTML_INSTALL_DIR}/en" SUBDIR "synaptiks")

=== kcmodule/CMakeLists.txt ===
set(kcm_synaptiks_sources
  synaptikswidgets.cpp
  mousedevicesmodel.cpp mousedevicesview.cpp mousebuttoncombobox.cpp
  synaptikskcm.cpp
  )

kde4_add_ui_files(kcm_synaptiks_sources
  ui/autotouchpadcontrolpage.ui
  ui/generalpage.ui
  ui/motionpage.ui
  ui/scrollingpage.ui
  ui/tappingpage.ui
  ui/notificationspage.ui
  ui/touchpadinformationpage.ui
  ui/errorpage.ui)

kde4_add_kcfg_files(kcm_synaptiks_sources ../synaptiksconfiguration.kcfgc)

kde4_add_plugin(kcm_synaptiks ${kcm_synaptiks_sources})

target_link_libraries(kcm_synaptiks
  ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY})

install(TARGETS kcm_synaptiks DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES synaptiks.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== pics/CMakeLists.txt ===
install(FILES
  touchpad.svg touchpad-on.png touchpad-off.png touchpad-unavailable.png
  DESTINATION ${DATA_INSTALL_DIR}/synaptiks/pics)

=== po/CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( es )
add_subdirectory( ga )
add_subdirectory( lt )
add_subdirectory( nds )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sv )
add_subdirectory( uk )

=== debian/changelog ===
synaptiks (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #582058)

 -- Sune Vuorela <sune@debian.org>  Mon, 17 May 2010 21:41:35 +0000

=== debian/control ===
Source: synaptiks
Section: x11
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>> 4:4.4), libxi-dev, x11proto-input-dev, libx11-dev
Standards-Version: 3.8.4
Uploaders: Sune Vuorela <sune@debian.org>
Homepage: http://kde-apps.org/content/show.php/synaptiks?content=114270

Package: kde-config-touchpad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}
Description: touchpad configuration tool (synaptiks)
 synaptiks touchpad configuration tool. this package contains a 
 configuration  tool for touchpads. The package provides a kcm 
 module (for systemsettings), as well  as a plasma widget and kded 
 module to help managing touchpads, especially in KDE environments

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_XINPUT2=ON


override_dh_shlibdeps:
	dh_shlibdeps -Xplasma_applet_synaptiks.so -- -dRecommends debian/kde-config-touchpad/usr/lib/kde4/plasma_applet_synaptiks.so -dDepends

## synaptiks 0.5.3

=== debian/changelog ===
synaptiks (0.5.3-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Drop kubuntu_01_fix_crash_no_touchpad.diff, applied upstream.
  * Enable Kubuntu l18n processing.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 11 Mar 2011 13:38:31 +0100

synaptiks (0.5.2-0ubuntu2) natty; urgency=low

  * Add kubuntu_01_fix_crash_no_touchpad.diff to fix crash in synaptikscfg
    when no touchpad is detected. (LP: #724161)

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 28 Feb 2011 11:46:06 +0100

synaptiks (0.5.2-0ubuntu1) natty; urgency=low

  * Merge from Debian git, remaining changes:
    - Add transitional packages kde-config-synaptiks and kcm-touchpad.
    - Add kde-config-touchpad.install as it's not a single binary package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Feb 2011 12:37:59 +0100

synaptiks (0.5.2-1) UNRELEASED; urgency=low

  * New upstream version.
    - Complete rewrite in python.
    - Adds support for two-finger emulation. (Closes: #605686)
    - Fixes incorrect description on automatic touchpad control option.
      (Closes: #597038)
  * Bump debian/compat to 8.
  * Add myself as uploader.
  * Add a watch file.
  * Add Vcs-* control fields.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Drop Sune Vuorela from Uploaders on his request.
  * Install upstream changelog.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 16 Feb 2011 19:50:12 +0100

synaptiks (0.4.0-1ubuntu3) natty; urgency=low

  * Add kde-config-touchpad.install to install all files. The package was
    previously empty.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 30 Jan 2011 19:50:33 +0100

synaptiks (0.4.0-1ubuntu2) natty; urgency=low

  * Rename binary package back to kde-config-touchpad.
  * Add transitional packages kde-config-synaptiks and kcm-touchpad.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 12 Jan 2011 20:18:39 +0100

synaptiks (0.4.0-1ubuntu1) maverick; urgency=low

  * Rename binary package to kde-config-synaptiks to prevent a name conflict
    with kcm-touchpad.
  * Conflict with kde-config-touchpad.
  * Change the kcm category to "input-devices" so it isn't in
    lost+found anymore.
    - Add kubuntu_01_kcm_category.patch.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 02 Aug 2010 19:15:34 +0200

=== debian/control ===
Source: synaptiks
Section: x11
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 8),
               pkg-kde-tools,
               kdesdk-scripts,
               kdelibs-bin,
               kdoctools,
               python,
               python-setuptools,
               python-argparse,
               python-pyudev
X-Python-Version: >= 2.6
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php/synaptiks?content=114270
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/synaptiks.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/synaptiks.git

Package: kde-config-touchpad
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python (>= 2.7) | python-argparse,
         python-pkg-resources,
         python-qt4 (>= 4.8),
         python-kde4 (>= 4:4.5),
         libxi6 (>= 2:1.4)
Breaks: ${python:Breaks}
Description: touchpad configuration tool (synaptiks)
 synaptiks touchpad configuration tool. this package contains a 
 configuration  tool for touchpads. The package provides a kcm 
 module (for systemsettings), as well  as a plasma widget and kded 
 module to help managing touchpads, especially in KDE environments

Package: kde-config-synaptiks
Architecture: all
Depends: ${misc:Depends}, kde-config-touchpad
Description: transitional package for kde-config-touchpad
 This is a dummy transitional package for kde-config-touchpad and can be
 safely removed after the installation is complete.

Package: kcm-touchpad
Architecture: all
Depends: ${misc:Depends}, kde-config-touchpad
Description: transitional package for kde-config-touchpad
 This is a dummy transitional package for kde-config-touchpad and can be
 safely removed after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KUBUNTU_NO_DELETE_POT=1

include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk

%:
	dh $@ --with python2,lzma

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/synaptiks/synaptiks-([\d.]+).tar.gz

## synaptiks 0.7.0

=== doc/requirements.txt ===
sphinx>=1.0.7
sphinxcontrib-issuetracker>=0.7.2

=== debian/changelog ===
synaptiks (0.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix lintian warning helper-templates-in-copyright.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 14 Jul 2011 10:17:30 +0200

synaptiks (0.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Update watch file.
  * Remove the transitional package kde-config-synaptiks.
  * Drop ${python:Breaks} as it's not used anymore by dh_python2.
  * Add libxtst6, python-dbus and upower to Recommends.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 21 May 2011 17:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-argparse,
                python-pyudev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kde-apps.org/content/show.php/synaptiks?content=114270
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/synaptiks.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/synaptiks.git
@@ -28,19 +28,17 @@
          python-qt4 (>= 4.8),
          python-kde4 (>= 4:4.5),
          libxi6 (>= 2:1.4)
-Breaks: ${python:Breaks}
+Recommends: libxtst6,
+            python-dbus,
+            upower
+Breaks: kcm-touchpad (<< 0.4.0-1ubuntu2),
+        kde-config-synaptiks (<< 0.4.0-1ubuntu2)
+Replaces: kde-config-synaptiks (<< 0.4.0-1ubuntu2)
 Description: touchpad configuration tool (synaptiks)
  synaptiks touchpad configuration tool. this package contains a 
  configuration  tool for touchpads. The package provides a kcm 
  module (for systemsettings), as well  as a plasma widget and kded 
  module to help managing touchpads, especially in KDE environments
-
-Package: kde-config-synaptiks
-Architecture: all
-Depends: ${misc:Depends}, kde-config-touchpad
-Description: transitional package for kde-config-touchpad
- This is a dummy transitional package for kde-config-touchpad and can be
- safely removed after the installation is complete.
 
 Package: kcm-touchpad
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst
 
-override_dh_auto_clean:
-	dh_auto_clean
+override_dh_clean:
+	dh_clean
 	rm -rf build

## synaptiks 0.8.1

=== requirements.txt ===
-r tests/requirements.txt
-r doc/requirements.txt

=== tests/Makefile ===
include buildbindings/bindings.mk

QT_MODULES = QtCore QtGui

$(call enable-bindings,pyqt)

.PHONY: bindings
bindings : pyqt

=== debian/changelog ===
synaptiks (0.8.1-1) unstable; urgency=low

  * New upstream version: (Closes: #653933)
    - Complete rewrite in python.
    - Adds support for two-finger emulation. (Closes: #605686)
    - Fixes incorrect description on automatic touchpad control option.
      (Closes: #597038)
    - Acts when USB mouse is plugged in. (Closes: #621831)
    - Works without HAL. (Closes: #629940)

  [ Felix Geyer ]
  * Bump debian/compat to 8.
  * Add myself as uploader.
  * Add a watch file.
  * Add Vcs-* control fields.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Drop Sune Vuorela from Uploaders on his request.
  * Install upstream changelog.
  * Remove build/ dir in dh_auto_clean.

  [ Modestas Vainius ]
  * Add myself as Uploader.
  * Fixup debian/copyright that lintian does not think it is a template.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 18 Feb 2012 16:25:32 +0200

=== debian/control ===
Source: synaptiks
Section: x11
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>, Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 8),
               kdelibs-bin,
               kdoctools,
               python,
               python-setuptools,
               python-argparse,
               python-pyudev
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://kde-apps.org/content/show.php/synaptiks?content=114270
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/synaptiks.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/synaptiks.git

Package: kde-config-touchpad
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python (>= 2.7) | python-argparse,
         python-pkg-resources,
         python-qt4 (>= 4.8),
         python-kde4 (>= 4:4.5),
         libxi6 (>= 2:1.4)
Recommends: libxtst6,
            python-dbus,
            upower
Description: touchpad configuration tool (synaptiks)
 synaptiks touchpad configuration tool. this package contains a
 configuration  tool for touchpads. The package provides a kcm
 module (for systemsettings), as well as a plasma widget and kded
 module to help managing touchpads, especially in KDE environments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/s/synaptiks/synaptiks-([\d.]+).tar.[\w\d]{2,3}
